<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIPregelGraphLibrary: directed_graph_static&lt; CVertex &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIPregelGraphLibrary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classdirected__graph__static-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">directed_graph_static&lt; CVertex &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ad46c8e4b51b604822f078705cfd7280a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad46c8e4b51b604822f078705cfd7280a"></a>
typedef <a class="el" href="structgraph__traits.html">graph_traits</a>&lt; CVertex &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>trait_type</b></td></tr>
<tr class="separator:ad46c8e4b51b604822f078705cfd7280a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3d7680ffb74d637e9aaf829fd1db8b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3d7680ffb74d637e9aaf829fd1db8b6"></a>
typedef trait_type::ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>ID_TYPE</b></td></tr>
<tr class="separator:ac3d7680ffb74d637e9aaf829fd1db8b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac71ec7f94adb0a4e73e1e5e5fe5c281e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac71ec7f94adb0a4e73e1e5e5fe5c281e"></a>
typedef trait_type::EDGE_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_TYPE</b></td></tr>
<tr class="separator:ac71ec7f94adb0a4e73e1e5e5fe5c281e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a267fafbf2a30caf69f3f59dcc834831e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a267fafbf2a30caf69f3f59dcc834831e"></a>
typedef trait_type::FAST_LIST_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_LIST_TYPE</b></td></tr>
<tr class="separator:a267fafbf2a30caf69f3f59dcc834831e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9c74b417b64ea133aa264fef3b06852"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9c74b417b64ea133aa264fef3b06852"></a>
typedef <br class="typebreak" />
trait_type::FAST_VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_ITERATOR</b></td></tr>
<tr class="separator:aa9c74b417b64ea133aa264fef3b06852"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f4f8bdfe23271fe27c680e8d8a2d2cf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f4f8bdfe23271fe27c680e8d8a2d2cf"></a>
typedef CVertex&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_TYPE</b></td></tr>
<tr class="separator:a2f4f8bdfe23271fe27c680e8d8a2d2cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a179f578721e041a5f82b0916b5be683e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a179f578721e041a5f82b0916b5be683e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>directed_graph_static</b> (VERTEX_LIST_TYPE &amp;init_adj_list)</td></tr>
<tr class="separator:a179f578721e041a5f82b0916b5be683e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44afedb94b634b1c9512178e419b83fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44afedb94b634b1c9512178e419b83fe"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>create_vertices</b> (ID_TYPE numVertices)</td></tr>
<tr class="separator:a44afedb94b634b1c9512178e419b83fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1b9d14044227c499942143daf9bbcf0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1b9d14044227c499942143daf9bbcf0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>sort_vertices</b> ()</td></tr>
<tr class="separator:aa1b9d14044227c499942143daf9bbcf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4393df93fa9d168aa7d98eb518bd3d26"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4393df93fa9d168aa7d98eb518bd3d26"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_vertex</b> (CVertex &amp;x)</td></tr>
<tr class="separator:a4393df93fa9d168aa7d98eb518bd3d26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9635df42aeca07f3acfbfef9c1f6ace"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9635df42aeca07f3acfbfef9c1f6ace"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_vertex</b> (ID_TYPE &amp;id)</td></tr>
<tr class="separator:ae9635df42aeca07f3acfbfef9c1f6ace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dfd99bcb70446ccf82a64b954500a70"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9dfd99bcb70446ccf82a64b954500a70"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge</b> (EDGE_TYPE &amp;edge)</td></tr>
<tr class="separator:a9dfd99bcb70446ccf82a64b954500a70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92c02c6c921e9945287a78395b3c7a28"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92c02c6c921e9945287a78395b3c7a28"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge</b> (ID_TYPE src, ID_TYPE target)</td></tr>
<tr class="separator:a92c02c6c921e9945287a78395b3c7a28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48533ca28ca814d42fc91f6cccb39b17"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48533ca28ca814d42fc91f6cccb39b17"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge</b> (EDGE_TYPE &amp;edge)</td></tr>
<tr class="separator:a48533ca28ca814d42fc91f6cccb39b17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5365bd6b3a2ae3ded961d1943a0ff261"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5365bd6b3a2ae3ded961d1943a0ff261"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge</b> (ID_TYPE &amp;src, ID_TYPE &amp;target)</td></tr>
<tr class="separator:a5365bd6b3a2ae3ded961d1943a0ff261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb5491515a478e1a6d309a3de9f385c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb5491515a478e1a6d309a3de9f385c5"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_vertices</b> ()</td></tr>
<tr class="separator:adb5491515a478e1a6d309a3de9f385c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afac6b3fba6d29ab8b464c5df3ca07f9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afac6b3fba6d29ab8b464c5df3ca07f9a"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_edges</b> ()</td></tr>
<tr class="separator:afac6b3fba6d29ab8b464c5df3ca07f9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf0aeec55f174db47bba94e7e4a7c300"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf0aeec55f174db47bba94e7e4a7c300"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>begin</b> ()</td></tr>
<tr class="separator:abf0aeec55f174db47bba94e7e4a7c300"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a483a33016b4387bd01cdb8f9269dec1a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a483a33016b4387bd01cdb8f9269dec1a"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>end</b> ()</td></tr>
<tr class="separator:a483a33016b4387bd01cdb8f9269dec1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62f049db94b1f2fa98e68a0e11200399"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62f049db94b1f2fa98e68a0e11200399"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>get_veretex</b> (ID_TYPE &amp;id)</td></tr>
<tr class="separator:a62f049db94b1f2fa98e68a0e11200399"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13885e54ede9d709245e96716084cf43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13885e54ede9d709245e96716084cf43"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_connected</b> (ID_TYPE &amp;src, ID_TYPE &amp;target)</td></tr>
<tr class="separator:a13885e54ede9d709245e96716084cf43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99b4a4019a44375bfff861d616e2097a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a99b4a4019a44375bfff861d616e2097a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> ()</td></tr>
<tr class="separator:a99b4a4019a44375bfff861d616e2097a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b4f899736ef1873202821adaa96a03c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b4f899736ef1873202821adaa96a03c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_directed</b> ()</td></tr>
<tr class="separator:a5b4f899736ef1873202821adaa96a03c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a2852707917f48ce92c57f5c477823514"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2852707917f48ce92c57f5c477823514"></a>
VERTEX_LIST_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>verticesList</b></td></tr>
<tr class="separator:a2852707917f48ce92c57f5c477823514"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/standard/modules/data_structures/base/<a class="el" href="graph__seq_8hpp_source.html">graph_seq.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 26 2014 15:59:02 for TIPregelGraphLibrary by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
